Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg.impl
Class SimpleServiceGroupRegistration

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.resource.sg.impl.SimpleServiceGroupRegistration

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, ServiceGroupRegistration, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

public class SimpleServiceGroupRegistration
extends AbstractWsResourceCapability
implements ServiceGroupRegistration

SimpleServiceGroupRegistration is Muse's default implementation of the WS-RF ServiceGroupRegistration capability - it simply forwards all wsrf-sg:Add requests to the ServiceGroup.addEntry() method.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleServiceGroupRegistration()`

Method Summary
`EndpointReference` | `add(EndpointReference memberEPR, org.w3c.dom.Element content, java.util.Date terminationTime)`
`protected MessageHandler` | `createAddHandler()`
`protected ServiceGroup` | `getServiceGroup()`
`void` | `initialize()` AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties. It then registers itself with the resource's WSRP collection so that read and write requests for its properties are delegated to it. AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties.

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getPropertyNames, getSetter, getWsResource, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleServiceGroupRegistration

    public SimpleServiceGroupRegistration()

Method Detail

### add

    public EndpointReference add(EndpointReference memberEPR,
                                 org.w3c.dom.Element content,
                                 java.util.Date terminationTime)
                          throws AddRefusedFault,
                                 ContentCreationFailedFault,
                                 UnsupportedMemberInterfaceFault,
                                 BaseFault

  Specified by:
    `add` in interface `ServiceGroupRegistration`
  Parameters:
    `memberEPR` - The EPR of the resource that is being added to the group.
    `content` - The current values of the resource properties that are listed in the group's membership content rules. This may be null.
    `terminationTime` - The time at which the service group entry should be deleted. This may be null.
  Returns:
    The EPR of the resource that represents the new service group entry.
  Throws:
    `AddRefusedFault`
    `ContentCreationFailedFault`
    `UnsupportedMemberInterfaceFault`
    `BaseFault`

### createAddHandler

    protected MessageHandler createAddHandler()

### getServiceGroup

    protected ServiceGroup getServiceGroup()

### initialize

    public void initialize()
                    throws SoapFault

  Description copied from class: `AbstractWsResourceCapability`
  AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties. It then registers itself with the resource's WSRP collection so that read and write requests for its properties are delegated to it.

  Specified by:
    `initialize` in interface `Initialization`
  Overrides:
    `initialize` in class `AbstractWsResourceCapability`
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD